GroovyPageTagWriter (Grails 3.2.9)
Date: 2017-04-26

Package: org.grails.taglib

## [Java] Class GroovyPageTagWriter

- org.grails.taglib.GroovyPageTagWriter

- A temporary writer used by GSP to write to a StringWriter and later retrieve the value. It also converts nulls into blank strings.

  Authors:
    Graeme Rocher
  Since:
    0.5

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class FastStringWriter` | `streamBuffer`
    `class GrailsPrintWriter` | `CRLF, LOG, allowUnwrappingOut, out, previousOut, streamCharBufferTarget, trouble, usageFlag`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyPageTagWriter ()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class FastStringWriter` | `getBuffer, getReader, getValue, initOut, toString`
    `class GrailsPrintWriter` | `append, append, append, append, append, appendNullCharSequence, asPrintWriter, asType, checkError, clone, close, findStreamCharBufferTarget, flush, getMetaClass, getOut, getProperty, getWriterForEncoder, invokeMethod, isAllowUnwrappingOut, isDestinationActivated, isUsed, leftShift, leftShift, leftShift, leftShift, leftShift, markUsed, plus, print, print, print, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, println, println, resetUsed, setError, setMetaClass, setOut, setProperty, setUsed, unwrap, unwrapWriter, write, write, write, write, write, write, write, writeWritable`
    `class java.io.Writer` | `java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#write([C), java.io.Writer#write([C, int, int), java.io.Writer#write(int), java.io.Writer#write(java.lang.String, int, int), java.io.Writer#write(java.lang.String), java.io.Writer#flush(), java.io.Writer#close(), java.io.Writer#wait(long, int), java.io.Writer#wait(long), java.io.Writer#wait(), java.io.Writer#equals(java.lang.Object), java.io.Writer#toString(), java.io.Writer#hashCode(), java.io.Writer#getClass(), java.io.Writer#notify(), java.io.Writer#notifyAll()`

- - ### Constructor Detail

    - #### public GroovyPageTagWriter()